# Uses of Enum
org.apache.zookeeper.AddWatchMode

Packages that use AddWatchMode
Package
Description
org.apache.zookeeper

## Uses of AddWatchMode in org.apache.zookeeper

Subclasses with type arguments of type AddWatchMode in org.apache.zookeeper
Modifier and Type
Class
Description
`enum`
`AddWatchMode`
Modes available to `ZooKeeper.addWatch(String, Watcher, AddWatchMode)`
Methods in org.apache.zookeeper that return AddWatchMode
Modifier and Type
Method
Description
`static AddWatchMode`
AddWatchMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AddWatchMode[]`
AddWatchMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper with parameters of type AddWatchMode
Modifier and Type
Method
Description
`void`
ZooKeeper.`addWatch(String basePath, AddWatchMode mode)`
Add a watch to the given znode using the given mode.
`void`
ZooKeeper.`addWatch(String basePath, AddWatchMode mode, AsyncCallback.VoidCallback cb, Object ctx)`
Async version of `ZooKeeper.addWatch(String, AddWatchMode)` (see it for details)
`void`
ZooKeeper.`addWatch(String basePath, Watcher watcher, AddWatchMode mode)`
Add a watch to the given znode using the given mode.
`void`
ZooKeeper.`addWatch(String basePath, Watcher watcher, AddWatchMode mode, AsyncCallback.VoidCallback cb, Object ctx)`
Async version of `ZooKeeper.addWatch(String, Watcher, AddWatchMode)` (see it for details)